<?php
// NotePopupView.php
include('core/base/View.php');

/** 
 *
 * @author Matthew Lindberg
 */
class NotePopupView extends View
{
	/**
	 * Constructor.
	 *
	 * @access public
	 * @return void
	 */
	function NotePopupView(& $timer, & $model)
	{
		// instantiate parent class
		parent::View(& $timer, & $model);
		
		// Set all template variables
		$this->addToPageTitle("Note");
		$this->setTemplate("note_small.tpl");
	}
	
	function setTitle($title)
	{
		$this->tpl->assign("title",$title);
	}
	
	function setNote($note)
	{
		$this->tpl->assign("note",$note);
	}
	
	function setDate($date)
	{
		$this->tpl->assign("date",$date);
	}
}
?>